.body { font-family: "Ubuntu", sans-serif !important;}
.loading-modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 9999;
    justify-content: center;
    align-items: center;
}

.action-button {
    background-color: #5499aa !important;
    color: white;
}

.action-button:hover {
    color: white !important;
}

.loading-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    opacity: 1;
    text-align: center;
}

.circular-spinner {
    border: 1px solid RGB(243, 127, 127, 1);
    border-top: 2px solid #5499aa;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

body {
    overflow-y: scroll;
    scrollbar-width: 181px;
}

::-webkit-scrollbar {
    width: 18px;
}

::-webkit-scrollbar-thumb {
    background-color: #5499aa;
}

button:hover {
    background-color: #438899 !important;
}

button:active {
    background-color: #216677 !important;
}

::-webkit-scrollbar-track {
    background-color: #343a3f;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #438899;
}

.navbar {
    border-radius: 0 !important;
}

.left-filler {
    width: 18px;
    height: 100vh;
    background-color: #343a3f;
    position: fixed;
    top: 0;
    left: 0;
}

@-moz-document url-prefix() {
    .right-filler {
        width: 18px;
        height: 100vh;
        background-color: #343a3f;
        position: fixed;
        top: 0;
        right: 0;
    }
}

.overlay-dropdown {
    position: absolute;
    z-index: 10;
    background-color: white;
    border: 1px solid #ccc;
    list-style: none;
    padding: 0;
    margin: 0;
    width: 90%;
    max-height: 150px;
    overflow-y: auto;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
    display: none;
}

.overlay-dropdown li {
    padding: 8px 12px;
    cursor: pointer;
}

.overlay-dropdown li {
    padding: 8px 12px;
    cursor: pointer;
}

.overlay-dropdown li {
    padding: 8px 12px;
    cursor: pointer;
    transition: background-color 0.2s;
}

.overlay-dropdown li {
    padding: 8px 12px;
    cursor: pointer;
    transition: background-color 0.2s;
}

.overlay-dropdown li:hover {
    background-color: #f0f0f0;
    cursor: pointer;
}

.overlay-dropdown li:hover {
    background-color: #f0f0f0;
    cursor: pointer;
}

.searchInput:focus + .overlay-dropdown {
    display: block;
}

.success-message {
    margin: 0;
    display: none;
    justify-content: center;
    align-items: center;
    min-height: 80px;
    background-color: white;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #1F5F5B;
    padding: 20px;
    text-align: center;
    border-radius: 8px;
    box-shadow: 0 1px 1px #216677;
}

.dismiss-button {
    display: block;
    border: none;
    color: #1F5F5B;
    right: 0;
    cursor: pointer;
    font-size: 16px;
}

.delete-confirmation-modal {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
}

.delete-confirmation-modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 300px;
}

.button-delete-confirm {
    padding: 10px 20px;
    background-color: #4CAF50;
    color: white;
    border: none;
    cursor: pointer;
}

.button-delete-confirm:hover {
    background-color: #45a049;
}

.form-wrapper {
    background-color: #f5f5f5;
    border-radius: 10px;
    padding: 30px;
}

.form-title {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 20px;
}

.form-group {
    margin-bottom: 25px;
}

.form-label {
    font-size: 16px;
    font-weight: bold;
}

.form-control {
    border-radius: 5px;
    padding: 10px;
}

.form-submit {
    cursor: pointer;
    border-radius: 5px;
    color: #fff;
    background-color: #5499aa;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
}

.form-submit:hover {
    background-color: #0056b3;
}

.overlay-dropdown {
    position: absolute;
    z-index: 10;
    background-color: white;
    border: 1px solid #ccc;
    list-style: none;
    padding: 0;
    margin: 0;
    width: 90%;
    max-height: 150px;
    overflow-y: auto;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    display: none;
}


.overlay-dropdown li {
    padding: 8px 12px;
    cursor: pointer;
}

.overlay-dropdown li {
    padding: 8px 12px;
    cursor: pointer;
}

.overlay-dropdown li {
    padding: 8px 12px;
    cursor: pointer;
    transition: background-color 0.2s;
}

.overlay-dropdown li {
    padding: 8px 12px;
    cursor: pointer;
    transition: background-color 0.2s;
}

.overlay-dropdown li:hover {
    background-color: #f0f0f0;
    cursor: pointer;
}

.overlay-dropdown li:hover {
    background-color: #f0f0f0;
    cursor: pointer;
}

.searchInput:focus + .overlay-dropdown {
    display: block;
}

.form-control-dropdown {
    padding: 10px;
    background-color: #444444 !important;
    color: #fff !important;
    display: block;
    width: 100%;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.file-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.file {
    border: 1px solid #ccc;
    width: 150px;
    padding: 10px;
    margin: 10px;
    text-align: center;
    position: relative;
}

.appointment-grid-container {
    display: grid;
    margin: 20px;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20px;
}

.table-container {
    display: flex;
    flex-direction: column;
}

.small-qr-code {
    max-width: 100px;
    cursor: pointer;
}

.large-qr-code {
    max-width: 100%;
}

.action-icons-container {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

.action-icon {
    text-align: center;
    font-size: 18px;
}

.action-icon a {
    color: #333;
    text-decoration: none;
}

.scrollable-section {
    height: 300px;
    overflow-y: auto;
    background-color: #f4f4f4;
    margin: 6px;
    padding: 6px;
    BORDER-RADIUS: 4px;
}

.btn {
    margin-top: 4px;
}

ul.note-log {
    list-style: none;
    padding: 0;
    margin: 0;
}

ul.note-log li {
    margin: 10px 0;
    padding: 10px;
    border-radius: 5px;
    background-color: #f2f2f2;
}

ul.note-log li h5 {
    margin: 0;
    font-weight: bold;
}

ul.note-log li p {
    margin: 5px 0;
}
